%define		midi_support	1

Summary:	Multimedia player based on mplayer technology
Name:		rosa-media-player
Version:	1.6.10
Release:	1
License:	GPLv2+
Group:		Video
Url:		http://www.rosalinux.com
Source:		%{name}-%{version}.tar.gz
BuildRequires:	qt4-devel	>= 4.2.0
BuildRequires:	qt4-linguist	>= 4.2.0
%if %midi_support
BuildRequires:	wildmidi-devel
%endif
BuildRequires:	qjson-devel
Requires:	mplayer		>= 1.0-1.rc1
Requires:	mencoder
Requires:	ffmpeg
Requires:	xdg-utils
%if %midi_support
Requires:	timidity-patch-gravis
Requires:	%{_lib}wildmidi1
%endif
Requires:	qjson
Requires:	wget

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Multimedia player that supports most of audio and video formats.

%prep
%setup -qn %{name}

%build
%setup_compile_flags
./get_romp_version.sh %{version} %{release}
%if %midi_support
%make PREFIX=%{_prefix} QMAKE=%{qt4bin}/qmake LRELEASE=%{qt4bin}/lrelease
%else
%make PREFIX=%{_prefix} QMAKE=%{qt4bin}/qmake LRELEASE=%{qt4bin}/lrelease no-midi-support
%endif

%install
%makeinstall_std PREFIX=%{_prefix}

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc


%files
%doc *.txt docs/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations

%attr(755,root,root) %{_bindir}/%{name}

%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/rosamp.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%{_datadir}/apps/solid/actions/

%lang(ar_SY) %{_datadir}/%{name}/translations/rosamp_ar_SY.qm
%lang(en) %{_datadir}/%{name}/translations/rosamp_en.qm
%lang(cs) %{_datadir}/%{name}/translations/rosamp_cs.qm
%lang(de) %{_datadir}/%{name}/translations/rosamp_de.qm
%lang(es) %{_datadir}/%{name}/translations/rosamp_es.qm
%lang(et) %{_datadir}/%{name}/translations/rosamp_et.qm
%lang(fi) %{_datadir}/%{name}/translations/rosamp_fi.qm
%lang(fr) %{_datadir}/%{name}/translations/rosamp_fr.qm
%lang(gl) %{_datadir}/%{name}/translations/rosamp_gl.qm
%lang(hu) %{_datadir}/%{name}/translations/rosamp_hu.qm
%lang(it) %{_datadir}/%{name}/translations/rosamp_it.qm
%lang(ja) %{_datadir}/%{name}/translations/rosamp_ja.qm
%lang(ku) %{_datadir}/%{name}/translations/rosamp_ku.qm
%lang(lt) %{_datadir}/%{name}/translations/rosamp_lt.qm
%lang(mk) %{_datadir}/%{name}/translations/rosamp_mk.qm
%lang(nl) %{_datadir}/%{name}/translations/rosamp_nl.qm
%lang(pl) %{_datadir}/%{name}/translations/rosamp_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/rosamp_pt_BR.qm
%lang(pt_pt) %{_datadir}/%{name}/translations/rosamp_pt.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/rosamp_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/rosamp_ru_RU.qm
%lang(sl) %{_datadir}/%{name}/translations/rosamp_sl.qm
%lang(tr) %{_datadir}/%{name}/translations/rosamp_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/rosamp_uk_UA.qm
%lang(vi) %{_datadir}/%{name}/translations/rosamp_vi_VN.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/rosamp_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/rosamp_zh_TW.qm



%changelog
* Mon Sep 29 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.6.10-1
+ Revision: 75c670a
- Add samba support to the desktop file

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.6.9-2
+ Revision: 34c327c
- MassBuild#440: Increase release tag

* Tue Aug 13 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.6.9-1
+ Revision: 07ed24d
- Changed version format

* Mon Aug 12 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1.6-9
+ Revision: 5ce3c2b
- New version 1.6-9
- Fixed parsing of new mplayer version
- Added video and audio extensions
- Changed reset to default values

* Fri Apr 12 2013 Julia Mineeva <julia.mineeva@osinit.ru> 1.6-8
+ Revision: cc08d87
- New version 1.6-8
- Updated romanian and ukrainian translations.
- Fixed bug with playlist (wrong process asx-file in the m3u-playlist).
- Add optional building with midi support.

* Wed Apr 03 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-6
+ Revision: be6cee0
- fixed translations

* Tue Apr 02 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-5
+ Revision: b064464
- fixed bug in desktop recording

* Tue Apr 02 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-4
+ Revision: e69c7b1
- fixed string in desktop file

* Tue Apr 02 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-4
+ Revision: 95a2b26
- fixed protocol string

* Tue Apr 02 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.6-2
+ Revision: aaa86aa
- desktop files fixed

* Mon Apr 01 2013 Julia Mineeva <julia.mineeva@osinit.ru> 1.6-2
+ Revision: db2c387
- New version 1.6-2

* Tue Feb 19 2013 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-7
+ Revision: 6c17066
- Updated rosa-media-player-1.5.1.tar.gz

* Tue Feb 19 2013 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-7
+ Revision: ceeae96
- New version 1.5.1-7 (deleted panel strip in fullscreen; fixed bug when screen recording)

* Mon Dec 24 2012 Sergey Borovkov <sergey.borovkov@osinit.ru> 1.5.1-7
+ Revision: ef39504
- Add proper buildrequires

* Mon Dec 24 2012 Sergey Borovkov <sergey.borovkov@osinit.ru> 1.5.1-7
+ Revision: 6415b3e
- v1.5.1-7

* Mon Dec 24 2012 Sergey Borovkov <sergey.borovkov@osinit.ru> 1.5.1-7
+ Revision: ec22704
- v1.5.1-7

* Wed Dec 12 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-6
+ Revision: c3bbde5
- New version 1.5.1-6
- Increased bottom margin of main window

* Tue Dec 11 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-5
+ Revision: 1ab11a9
- New version 1.5.1-5
- Fixed segmentaion fault when open media file

* Tue Dec 11 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-4
+ Revision: b70fa80
- New version 1.5.1-4
- Updated translations.
- Deleted statusbar.

* Fri Nov 23 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-1
+ Revision: 0fc9670
- Updated tarball

* Fri Nov 23 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-1
+ Revision: cbb7539
- ChangeLog 1.5.1: fixed some bugs

* Fri Nov 23 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5.1-0
+ Revision: 466bc0b
- ChangeLog 1.5.1: new icons; support playlist for video stream

* Thu Nov 22 2012 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.5-16
+ Revision: d2e0020
- new version

* Fri Oct 19 2012 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1.5-15
+ Revision: 522c7b0
- fixed mplayer version checking

* Fri Oct 19 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.5-14
+ Revision: 6dfae6b
- LOG Fix description length

* Wed Sep 12 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5-13
+ Revision: a86b962
- updated version 1.5-13
- - associated midi files with ROMP (updated desktop-file)
- - display firstly ID3V2 tag if exist ID3V1 tag

* Tue Sep 04 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5-11
+ Revision: d59a4d1
- updated translations

* Tue Sep 04 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.5-11
+ Revision: 3e23a2e
- updated to version 1.5-11

* Thu Apr 05 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.0-0
+ Revision: 2340cea
- changed version on 1.0; added help support; deleted unused files

* Wed Apr 04 2012 Julia Mineeva <julia.mineeva@osinit.ru> 1.0-0
+ Revision: 128e6b1
- changed ROMP version (set 1.0); updated documentation


